//
// <copyright file="Default.aspx.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Samples.ServiceHosting.StorageClient;
using Microsoft.Samples.PersonalWebSite_WebRole.Code.Article;

public partial class Default_aspx  : System.Web.UI.Page {

    public void Randomize(object sender, EventArgs e) {
        Random r = new Random();
        FormView1.PageIndex = r.Next(FormView1.PageCount);
	}

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            StorageAccountInfo accountInfo = StorageAccountInfo.GetAccountInfoFromConfiguration("TableStorageEndpoint");
            TableStorage.CreateTablesFromModel(typeof(ArticleDataServiceContext), accountInfo);
            ArticleDataServiceContext context = new ArticleDataServiceContext(accountInfo);  
           repeater.DataSource=   context.GetTop(5);
           repeater.DataBind();
        }
    }
    

}