//
// <copyright file="Links.aspx.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//
using System;
using System.Linq;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Samples.ServiceHosting.StorageClient;
using Microsoft.Samples.PersonalWebSite_WebRole.Code.Article;

public partial class Links_aspx : System.Web.UI.Page  {

    protected void Page_Load(object sender, EventArgs e)
    {
      
            StorageAccountInfo accountInfo = StorageAccountInfo.GetAccountInfoFromConfiguration("TableStorageEndpoint");
            TableStorage.CreateTablesFromModel(typeof(ArticleDataServiceContext), accountInfo);
            ArticleDataServiceContext context = new ArticleDataServiceContext(accountInfo);
            Gridview1.DataSource = context.Articles.ToList();
          Gridview1.DataBind();
       
    }

    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {

        StorageAccountInfo accountInfo = StorageAccountInfo.GetAccountInfoFromConfiguration("TableStorageEndpoint");
        TableStorage.CreateTablesFromModel(typeof(ArticleDataServiceContext), accountInfo);
        ArticleDataServiceContext context = new ArticleDataServiceContext(accountInfo);
      
        Gridview1.PageIndex = e.NewPageIndex;

        Gridview1.DataSource = context.Articles.ToList();
        
    }
}